Page MenuHomePhabricator

Most-active VisualEditor users
Closed, ResolvedPublic

Description

The top 500 visual editor users globally, by count(VE_edits) in the last 90 days, with a check for inactivity.

Event Timeline

Ironholds claimed this task.
Ironholds raised the priority of this task from to Needs Triage.
Ironholds updated the task description. (Show Details)
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 9:40 PM

Ideally would be good to know their home wiki so we can contact them via their talk page. @Rdicerb @Whatamidoing-WMF


Query complete! Query and underlying code attached.

The usernames represent:

  1. The 500 users who have made the most edits with the VisualEditor in the last 90 days;
  2. The wiki they have been most active on in that time;
  3. The number of edits they have made in that time period, globally, with the VisualEditor.

I've WP:BOLDly added my own element; since you're intending to use this to contact people for feedback, it's also filtered to only contain users who have been active in the last month :).

Eloquence closed this task as Resolved.Feb 26 2015, 5:47 PM

<3 This is great, Oliver. Thanks. @Rdicerb Let's roll :)

@Tbayer if you have some cycles -- take a look at these users' edits, and see if there are some interesting stories to tell.

That looks super interesting! Happy to look into it.

@Ironholds, something seems odd with the home wiki column, e.g.:

"Raymond"	189	"cawiki"

..yet he had only one edit on cawiki overall in the last 90 days.

Hurm; that's interesting. Let me test a theory...

Seeing these notes now - I'm sorry for some reason Phab is not pinging me in the ways I thought it might so I am checking my settings.

Okay, worked it out; there was a bug in the logic for identifying the "home" wiki. What it should've been doing was finding the project with the highest edit count using the VE, and selecting that one. What it was /actually/ doing in practise was picking the first wiki listed, because the logic didn't line up with the data structure. This _should_ fix it; take it for a spin, @Tbayer ?

[OT]

I'm sorry for some reason Phab is not pinging me

If the docs don't help, feel free to elaborate.

Okay, worked it out; there was a bug in the logic for identifying the "home" wiki. What it should've been doing was finding the project with the highest edit count using the VE, and selecting that one. What it was /actually/ doing in practise was picking the first wiki listed, because the logic didn't line up with the data structure. This _should_ fix it; take it for a spin, @Tbayer ?

Did a quick sanity check by looking at about 5 entries (including my own volunteer account, which made it at #479 ;) , and they all seemed fine. Thanks!

Elitre added a subscriber: Elitre.Feb 28 2015, 4:15 PM
Elitre awarded a token.Mar 4 2015, 2:13 PM